unit MAIN;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ToolWin, ComCtrls, Db, Grids, DBGrids, StdCtrls, ExtCtrls, DBCtrls,
  Mask;

type
  TfmMAIN = class(TForm)
    mmMain: TMainMenu;
    ToolBar1: TToolBar;
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    DBEdit1: TDBEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    AMainDM: Longint;
  public
    { Public declarations }
  end;

  function CreateMainDataModule(AHandle: THandle): Longint; stdcall;
  procedure FreeMainDataModule(ADMRef: Longint); stdcall;
  
var
  fmMAIN: TfmMAIN;

implementation

uses DATA;

function CreateMainDataModule; external 'SYSDATA.DLL' name 'CreateMainDataModule';
procedure FreeMainDataModule; external 'SYSDATA.DLL' name 'FreeMainDataModule';

{$R *.DFM}

procedure TfmMAIN.FormCreate(Sender: TObject);
begin
  AMainDM := CreateMainDataModule(Application.Handle);
  if (AMainDM > 0) then
  begin
    DataSource1.DataSet := TfmDATA(AMainDM).tblCUST;
    TfmDATA(AMainDM).tblCUST.Open;
  end;
end;

procedure TfmMAIN.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FreeMainDataModule(AMainDM);
end;

end.
