unit DATA;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables;

type
  TfmDATA = class(TDataModule)
    tblCUST: TTable;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmDATA: TfmDATA;

  function CreateMainDataModule(AHandle: THandle): Longint; stdcall;
  procedure FreeMainDataModule(ADMRef: Longint); stdcall;
  
implementation

{$R *.DFM}

function CreateMainDataModule(AHandle: THandle): Longint; stdcall;
var DM: TfmDATA;
begin
  try
    Application.Handle := AHandle;
    DM := TfmDATA.Create(Application);
    Result := Longint(DM);
  except
    Result := 0;
  end;
end;

procedure FreeMainDataModule(ADMRef: Longint); stdcall;
begin
  if (ADMRef > 0) then
    TfmDATA(ADMRef).Free;
end;

end.
